Subject: Re: bug#24472 PATCH * tramp-cache.el: tweak debug log to include cache hit info

From: Marc Herbert <[email-masked]>
Date: Sat, 2 May 2020 10:04:07 -0700

https://debbugs.gnu.org/cgi/bugreport.cgi?bug=24472
> Wouldn't it be sufficient to avoid the
> `verify-visited-file-modtime' call in case the buffer is visiting a
> remote file? Something like...

This makes sense to me. However it would only whack one mole.
Probably the biggest mole but only one mole. In fact it may even
be counter-productive with respect to the main, macOS crash
because it will make it more difficult to reproduce.

Is this bug tracker the right place for macOS issues? Just
making sure. This bug desperately needs a GNUstep/Cocoa expert.
This is not a tramp bug, tramp is just the loudest messenger.
BTW I just found bug#14050 and commit e6076b1bce12dfc fixing
a very similar looking issue... 6 years ago.

Speaking of reproduction, could someone sketch out an automated test
for this menubar bug? It would likely require "scripting the UI" which
tends to be
difficult ... but maybe nothing is difficult for Emacs? :-)

> How could I get the patch in a format I could apply locally to my git
> repo? Note, that I have no github account, and I don't plan to create one.

I understand. On my side, I'm a lazy gmail user who'd prefer not to
spend time figuring out how to make gmail not mangle patches :-(
https://www.kernel.org/doc/html/latest/process/email-clients.html

Fortunately github offers one-line anonymous access:
 git fetch  https://github.com/marc-h38/emacs-tramp.git  better-cache-log

This remote URL can be found in the "Download" button on this page:
https://github.com/marc-h38/emacs-tramp, same logic for any github project.
There's also a way to fetch Pull Requests.

Still off-topic sorry; I just found https://emba.gnu.org/emacs/emacs .
Is it only for CI? If yes updating some gitlab "descriptions" would clarify:
reponame->settings->general-> Project description